cURL
curl --request GET \
--url https://sandbox.onconsul.com/v1/payouts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.onconsul.com/v1/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.onconsul.com/v1/payouts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://sandbox.onconsul.com/v1/payouts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"currency": "USDC",
"id": "<string>",
"item_breakdown": {
"cancelled": 123,
"completed": 123,
"failed": 123,
"pending_claim": 123,
"processing": 123
},
"status": "processing",
"total_amount": "<string>",
"total_items": 123,
"completed_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Payouts
Get a Payout
GET
/
payouts
/
{id}
cURL
curl --request GET \
--url https://sandbox.onconsul.com/v1/payouts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.onconsul.com/v1/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.onconsul.com/v1/payouts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://sandbox.onconsul.com/v1/payouts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"created_at": "2023-11-07T05:31:56Z",
"currency": "USDC",
"id": "<string>",
"item_breakdown": {
"cancelled": 123,
"completed": 123,
"failed": 123,
"pending_claim": 123,
"processing": 123
},
"status": "processing",
"total_amount": "<string>",
"total_items": 123,
"completed_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Retrieve a payout by ID, including its overall status,
total amount, and item count.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Available options:
USDC, USDT, USD, BRL, ARS, COP, MXN, CAD, EUR Show child attributes
Show child attributes
Available options:
processing, completed, failed, cancelled 
